OpenNMS API 1.2.9

## org.opennms.netmgt.config.notificationCommands
Class Header

    java.lang.Object
      org.opennms.netmgt.config.notificationCommands.Header

All Implemented Interfaces:
  java.io.Serializable

public class Header
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_created`
`private java.lang.String` `_mstation`
`private java.lang.String` `_ver`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Header()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getCreated()` Returns the value of field 'created'.
`java.lang.String` `getMstation()` Returns the value of field 'mstation'.
`java.lang.String` `getVer()` Returns the value of field 'ver'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCreated(java.lang.String created)` Sets the value of field 'created'.
`void` `setMstation(java.lang.String mstation)` Sets the value of field 'mstation'.
`void` `setVer(java.lang.String ver)` Sets the value of field 'ver'.
`static Header` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ver

    private java.lang.String _ver

### _created

    private java.lang.String _created

### _mstation

    private java.lang.String _mstation

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Header

    public Header()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCreated

    public java.lang.String getCreated()

  Returns the value of field 'created'.

  Returns:
    the value of field 'created'.

### getMstation

    public java.lang.String getMstation()

  Returns the value of field 'mstation'.

  Returns:
    the value of field 'mstation'.

### getVer

    public java.lang.String getVer()

  Returns the value of field 'ver'.

  Returns:
    the value of field 'ver'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCreated

    public void setCreated(java.lang.String created)

  Sets the value of field 'created'.

  Parameters:
    `created` - the value of field 'created'.

### setMstation

    public void setMstation(java.lang.String mstation)

  Sets the value of field 'mstation'.

  Parameters:
    `mstation` - the value of field 'mstation'.

### setVer

    public void setVer(java.lang.String ver)

  Sets the value of field 'ver'.

  Parameters:
    `ver` - the value of field 'ver'.

### unmarshal

    public static Header unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.